.btn-soutenir { /* = btn-warning */
  color: c(d, 1);
  background: c(o, 7);
  border-color: c(o, 7);

  &:hover,
  &:focus, &.focus {
    color: c(d, 1);
    background: darken(c(o, 7), 7.5%);
    border-color: darken(c(o, 7), 10%);
  }

  &:focus, &.focus{
    box-shadow: 0 0 0 0.2rem rgba(212, 105, 54, 0.5);
  }

  &.disabled, &:disabled {
    color: c(d, 1);
    background: c(o, 6);
    border-color: c(o, 5);
  }

  &:not(:disabled):not(.disabled):active,
  &:not(:disabled):not(.disabled).active {
    color: c(d, 1);
    background: darken(c(o, 7), 10%);
    border-color: darken(c(o, 7), 12.5%);

    &:focus {
      box-shadow: 0 0 0 0.2rem rgba(212, 105, 54, 0.5);
    }
  }
}

.btn-outline-soutenir {
  color: c(o, 7);
  border-color: c(o, 7);
  i::before { color: c(o, 6); }

  &:hover {
    color: c(d, 1);
    background: c(o, 7);
    border-color: c(o, 7);
    i::before { color: c(d, 1); }
  }

  &:focus, &.focus {
    box-shadow: 0 0 0 0.2rem rgba(204, 78, 19, 0.5);
  }

  &.disabled, &:disabled {
    color: c(o, 7);
    background-color: transparent;
    i::before { color: c(o, 6); }
  }

  &:not(:disabled):not(.disabled):active,
  &:not(:disabled):not(.disabled).active {
    color: c(d, 1);
    background: c(o, 7);
    border-color: c(o, 7);
    i::before { color: c(d, 1); }

    &:focus {
      box-shadow: 0 0 0 0.2rem rgba(1204, 78, 19, 0.5);
    }
  }
}

@for $i from 1 through 9 {
  @if $i != 4 { // not btn-light
    .btn-#{nth($bsClass, $i)} {
      i::before { color: c(d, 1); }

      &:hover,
      &:focus, &.focus {
        i::before { color: c(d, 1); }
      }

      &.disabled, &:disabled {
        i::before { color: c(d, 1); }
      }

      &:not(:disabled):not(.disabled):active,
      &:not(:disabled):not(.disabled).active {
        i::before { color: c(d, 1); }
      }
    }

    .btn-outline-#{nth($bsClass, $i)} {
      i::before { color: bs('c-1', $i); }

      &:hover,
      &:focus, &.focus {
        i::before { color: c(d, 1); }
      }

      &.disabled, &:disabled {
        i::before { color: bs('c-1', $i); }
      }

      &:not(:disabled):not(.disabled):active,
      &:not(:disabled):not(.disabled).active {
        i::before { color: c(d, 1); }
      }
    }
  }
}
